Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.tslib.forecast.mean
Class MeanForecasterJava

    java.lang.Object
      kieker.tools.tslib.forecast.AbstractForecaster<Double>
          kieker.tools.tslib.forecast.mean.MeanForecasterJava

All Implemented Interfaces:
  IForecaster<Double>

    public class MeanForecasterJava

extends AbstractForecaster<Double>

A Java-based time series forecaster which computes a forecast based on the mean value of the historic values.

Since:
  1.10
Author:
  Andre van Hoorn

Constructor Summary
`MeanForecasterJava(ITimeSeries<Double> historyTimeseries)`

Method Summary
`IForecastResult` | `forecast(int numForecastSteps)` Performs a time series forecast for the given number of steps in the future.
`static Double[]` | `removeNullValues(List<Double> allHistory)`

Methods inherited from class kieker.tools.tslib.forecast.AbstractForecaster
`getConfidenceLevel, getTsOriginal`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MeanForecasterJava

    public MeanForecasterJava(ITimeSeries<Double> historyTimeseries)

Parameters:
  `historyTimeseries` - TimeSeries

Method Detail

### forecast

    public IForecastResult forecast(int numForecastSteps)

  Description copied from interface: `IForecaster`
  Performs a time series forecast for the given number of steps in the future.

  Parameters:
    `numForecastSteps` - number of values the forecaster is going to forecast
  Returns:
    Forecast Result

### removeNullValues

    public static Double[] removeNullValues(List<Double> allHistory)

  Parameters:
    `allHistory` - List there null values should deltet in this function
  Returns:
    List/Array with no NullValues

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net